#!/bin/bash

printf -v file "%q" "$1"
printf -v title "%q" "$2"
printf -v hover "%q" "$3"

dialect=$(grep '^dialect=' config.ini.php|sed 's/.*=//'|sed 's/"//g')
user=$(grep '^user=' config.ini.php|sed 's/.*=//'|sed 's/"//g')
password=$(grep '^password=' config.ini.php|sed 's/.*=//'|sed 's/"//g')
dsn=$(grep '^dsn=' config.ini.php|sed 's/.*=//'|sed 's/"//g')

case $dialect in 
"mysql")
	dbname=$(grep dbname config.ini.php|sed 's/.*dbname=\([a-zA-Z]*\).*/\1/')
	mysql -u$user -e"SET @file = '$file'; SET @title = '$title'; SET @hover = '$hover'; $(<add_image.sql)" $dbname
	;;
"sqlite")
	echo "$(<add_image.sql)"|sed "s/@file/'$file'/"|sed "s/@title/'$title'/"|sed "s/@hover/'$hover'/"| sqlite3 $dsn
	;;
"*")
	echo "sorry, database dialect $dialect not yet supported. It will only take one line in add_image.sh, so please fix and submit a pull request."
	;;
esac
